server:
  port: 8082
spring:
  application:
    name: hello-consumer-service
  cloud:
    nacos:
      discovery:
        server-addr: 127.0.0.1:8848
    sentinel:
      transport:
        dashboard: 127.0.0.1:8080
      datasource:
        ds1: #自定义的数据源的名字，不重复即可
          nacos:
            server-addr: 127.0.0.1:8848 #Nacos的地址
            dataId: hello-consumer-ds1  #配置单元的Id
            groupId: DEFAULT_GROUP
            data-type: json  #配置单元的数据类型
            ruleType: flow   #规则类型
        ds2: #自定义的数据源的名字，不重复即可
          nacos:
            server-addr: 127.0.0.1:8848 #Nacos的地址
            dataId: hello-consumer-ds2  #配置单元的Id
            groupId: DEFAULT_GROUP
            data-type: json  #配置单元的数据类型
            ruleType: degrade   #规则类型
        ds3: #自定义的数据源的名字，不重复即可
          nacos:
            server-addr: 127.0.0.1:8848 #Nacos的地址
            dataId: hello-consumer-ds3  #配置单元的Id
            groupId: DEFAULT_GROUP
            data-type: json  #配置单元的数据类型
            ruleType: system   #规则类型
management:
  endpoints:
    web:
      exposure:
        include: '*'

